Name:          heroic-games-launcher
Version:       2.15.1
Release:       1mamba
Summary:       A Native GOG and Epic Games Launcher
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://heroicgameslauncher.com/
Source:        https://github.com/Heroic-Games-Launcher/HeroicGamesLauncher.git/v%{version}/HeroicGamesLauncher-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libdbus-devel
BuildRequires: libdrm-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libmesa-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
## AUTOBUILDREQ-END
BuildRequires: yarn

%description
A Native GOG and Epic Games Launcher.

%debug_package

%define _build_id_links none
%global __requires_exclude ^libffmpeg.so.*$
%global __provides_exclude_from ^%{_datadir}/heroic/.*$

%prep
%setup -q -n HeroicGamesLauncher-%{version}
#-D -T

%build
#:<< _EOF
yarn
yarn dist:linux tar.xz

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{_datadir}/heroic
cp -r dist/linux-unpacked/* %{buildroot}%{_datadir}/heroic/

install -d %{buildroot}%{_bindir}
ln -s %{_datadir}/heroic/heroic %{buildroot}%{_bindir}/heroic

install -D public/icon.png %{buildroot}%{_datadir}/pixmaps/heroic.png

install -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/heroic.desktop << _EOF
[Desktop Entry]
Name=Heroic Games Launcher
Exec=%{_datadir}/heroic/heroic %U
Terminal=false
Type=Application
Icon=heroic
StartupWMClass=Heroic
Comment=Open Source GOG and Epic Games launcher
MimeType=x-scheme-handler/heroic;
Categories=Game;
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)

%{_bindir}/heroic
%{_datadir}/applications/heroic.desktop
%{_datadir}/pixmaps/heroic.png
%dir %{_datadir}/heroic
%{_datadir}/heroic/*
%doc COPYING

%changelog
* Mon Aug 12 2024 Automatic Build System <autodist@openmamba.org> 2.15.1-1mamba
- automatic version update by autodist

* Mon Apr 08 2024 Automatic Build System <autodist@openmamba.org> 2.14.1-1mamba
- automatic version update by autodist

* Mon Apr 01 2024 Automatic Build System <autodist@openmamba.org> 2.14.0-1mamba
- automatic version update by autodist

* Mon Feb 12 2024 Automatic Build System <autodist@openmamba.org> 2.13.0-1mamba
- automatic version update by autodist

* Thu Feb 01 2024 Automatic Build System <autodist@openmamba.org> 2.12.1-1mamba
- automatic version update by autodist

* Tue Jan 09 2024 Automatic Build System <autodist@openmamba.org> 2.12.0-1mamba
- automatic version update by autodist

* Thu Nov 30 2023 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Sat Nov 04 2023 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Wed Sep 13 2023 Automatic Build System <autodist@mambasoft.it> 2.9.2-1mamba
- automatic version update by autodist

* Thu Jul 27 2023 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Wed May 31 2023 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Wed May 03 2023 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Tue Apr 04 2023 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Sat Feb 04 2023 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Fri Feb 03 2023 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Wed Dec 07 2022 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Sun Sep 11 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-2mamba
- remove internal provides

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Fri Sep 02 2022 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-2mamba
- don't add build_id links to avoid conflicts with distribution binaries

* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Aug 16 2022 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Fri Aug 05 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.10-1mamba
- package created using the webbuild interface
